# Generated by Django 5.0.2 on 2024-04-01 18:42

import django.db.models.deletion
import uuid
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('config', '0004_alter_pull_source_alter_restream_target'),
    ]

    operations = [
        migrations.CreateModel(
            name='TranscodingProfile',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='transcodingprofile_name_help', max_length=100)),
                ('video_map_stream', models.PositiveIntegerField(default=0, help_text='transcodingprofile_video_map_stream_help')),
                ('video_codec', models.CharField(choices=[('copy', 'Copy'), ('h264', 'H.264'), ('h265', 'H.265')], help_text='transcodingprofile_video_codec_help', max_length=4)),
                ('video_bitrate', models.PositiveIntegerField(default=6000, help_text='transcodingprofile_video_bitrate_help')),
                ('video_frame_rate', models.PositiveIntegerField(default=30, help_text='transcodingprofile_video_frame_rate_help')),
                ('video_resolution', models.CharField(help_text='transcodingprofile_video_resolution_help', max_length=9)),
                ('video_gop_size', models.PositiveIntegerField(default=60, help_text='transcodingprofile_video_gop_size_help')),
                ('video_pixel_format', models.CharField(choices=[('yuv420', 'YUV420'), ('yuv422', 'YUV422'), ('yuv444', 'YUV444')], help_text='transcodingprofile_video_pixel_format_help', max_length=10)),
                ('video_bitrate_mode', models.CharField(choices=[('cbr', 'CBR'), ('vbr', 'VBR')], help_text='transcodingprofile_video_bitrate_mode_help', max_length=10)),
                ('audio_map_stream', models.PositiveIntegerField(default=0, help_text='transcodingprofile_audio_map_stream_help')),
                ('audio_codec', models.CharField(choices=[('copy', 'Copy'), ('aac', 'AAC')], help_text='transcodingprofile_audio_codec_help', max_length=10)),
                ('audio_bitrate', models.PositiveIntegerField(default=160, help_text='transcodingprofile_audio_bitrate_help')),
                ('audio_channels', models.PositiveIntegerField(default=2, help_text='transcodingprofile_audio_channels_help')),
                ('audio_sample_rate', models.PositiveIntegerField(default=48000, help_text='transcodingprofile_audio_sample_rate_help')),
            ],
            options={
                'verbose_name': 'transcodingprofile_verbose_name',
                'verbose_name_plural': 'transcodingprofile_verbose_name_plural',
            },
        ),
        migrations.AlterField(
            model_name='stream',
            name='name',
            field=models.CharField(help_text='stream_name_help', max_length=100),
        ),
        migrations.AlterField(
            model_name='stream',
            name='stream',
            field=models.UUIDField(default=uuid.uuid4, help_text='stream_stream_help', unique=True),
        ),
        migrations.AddField(
            model_name='pull',
            name='transcodingprofile',
            field=models.ForeignKey(blank=True, help_text='restream_transcodingprofile_help', null=True, on_delete=django.db.models.deletion.PROTECT, to='config.transcodingprofile'),
        ),
        migrations.AddField(
            model_name='restream',
            name='transcodingprofile',
            field=models.ForeignKey(blank=True, help_text='restream_transcodingprofile_help', null=True, on_delete=django.db.models.deletion.PROTECT, to='config.transcodingprofile'),
        ),
    ]
